package egovframework.com.its.web.server.mapper;

import egovframework.com.its.web.server.vo.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Mapper
public interface TrafficStatsMapper {
	
    List<AtrdStatVO> getAtrdStat(Map<String, Object> paramMap);

    List<AtrdVO> getAtrdNm();

    List<ScIxrTrafficVO> findIxr15M(Map<String, Object> paramMap);

    List<ScIxrTrafficVO> findIxrMN(Map<String, Object> paramMap);

    List<ScIxrTrafficVO> findIxrDD(Map<String, Object> paramMap);

    List<ScIxrTrafficVO> findIxrHH(Map<String, Object> paramMap);

    List<ScIxrVO> getIxrList();

    int getRoadCount(@Param("atrdIds") String[] atrdIds);

    int getCameraCount(@Param("ixrIds") String[] ixrIds);
}
